package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.ActivityReward;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-08-04 10:19:49
 */
@ApiModel(value = "ActivityRewardVo对象", description = "活动奖品表查询视图对象")
public class ActivityRewardVo extends ActivityReward{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("最后操作人")
	private String updateByName;
	@ApiModelProperty(value = "是否有活动引用")
	private Boolean useFlag;

	@ApiModelProperty(value = "优惠券名称")
	private String couponName;

	@ApiModelProperty(value = "奖品关联活动数")
	private Integer activityNum;

	public String getUpdateByName() {
		return updateByName;
	}

	public void setUpdateByName(String updateByName) {
		this.updateByName = updateByName;
	}

	public Boolean getUseFlag() {
		return useFlag;
	}

	public void setUseFlag(Boolean useFlag) {
		this.useFlag = useFlag;
	}

	public String getCouponName() {
		return couponName;
	}

	public void setCouponName(String couponName) {
		this.couponName = couponName;
	}

	public Integer getActivityNum() {
		return activityNum;
	}

	public void setActivityNum(Integer activityNum) {
		this.activityNum = activityNum;
	}

	public ActivityRewardVo activityNum(Integer activityNum) {
		this.activityNum = activityNum;
		return this;
	}
}